Python
from everos_cloud import EverOS
client = EverOS()
tasks = client.v1.tasks
response = tasks.retrieve("<string>")
print(response)curl --request GET \
--url 'https://api.evermind.ai/api/v1/tasks/{task_id}' \
--header 'Authorization: Bearer <api_key>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.evermind.ai/api/v1/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"task_id": "task_xyz",
"status": "processing"
}
}Tasks
Get task status
Query the processing status of a specific async task by task_id. Task status is stored in Redis with a TTL of 1 hour. Internal status ‘start’ is mapped to ‘processing’ in the response.
GET
/
api
/
v1
/
tasks
/
{task_id}
Python
from everos_cloud import EverOS
client = EverOS()
tasks = client.v1.tasks
response = tasks.retrieve("<string>")
print(response)Authorizations
Bearer authentication header of the form Bearer 'api_key', obtain your API key from everos.evermind.ai.
Path Parameters
Async task tracking ID
Response
Task status found
Show child attributes
Show child attributes
Was this page helpful?
⌘I

